HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostPaymentMethodsPaymentMethodAttach

Contains the different functions to run the operation postPaymentMethodsPaymentMethodAttach

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostPaymentMethodsPaymentMethodAttach.hs
valuepostPaymentMethodsPaymentMethodAttach
  1. :: MonadHTTP m
  2. => Text

    payment_method | Constraints: Maximum length of 5000

  3. -> PostPaymentMethodsPaymentMethodAttachRequestBody

    The request body to send

  4. -> ClientT m (Response PostPaymentMethodsPaymentMethodAttachResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/payment_methods/{payment_method}/attach

<p>Attaches a PaymentMethod object to a Customer.</p>

<p>To attach a new PaymentMethod to a customer for future payments, we recommend you use a <a href="/docs/api/setup_intents">SetupIntent</a> or a PaymentIntent with <a href="/docs/api/payment_intents/create#create_payment_intent-setup_future_usage">setup_future_usage</a>. These approaches will perform any necessary steps to ensure that the PaymentMethod can be used in a future payment. Using the <code>/v1/payment_methods/:id/attach</code> endpoint does not ensure that future payments can be made with the attached PaymentMethod. See <a href="/docs/payments/payment-intents#future-usage">Optimizing cards for future payments</a> for more information about setting up future payments.</p>

<p>To use this PaymentMethod as the default for invoice or subscription payments, set <a href="/docs/api/customers/update#update_customer-invoice_settings-default_payment_method"><code>invoice_settings.default_payment_method</code></a>, on the Customer to the PaymentMethod’s ID.</p>

Defines the object schema located at paths./v1/payment_methods/{payment_method}/attach.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postPaymentMethodsPaymentMethodAttach.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostPaymentMethodsPaymentMethodAttachResponseError is used.

Instances2Eq, Show